﻿using Microsoft.Extensions.DependencyInjection;
using NDB.Extensions.Caching.Services;

namespace NDB.Extensions.Caching
{
    public static class CachingExtensions
    {
        public static void SetCacheProvider(this IServiceCollection services)
        {
            services.AddDistributedMemoryCache();
            services.AddScoped<ICacheService, CacheService>();
        }
    }
}
